"""
This module is the constants for the controlKeys that are is a parameter in the OnKeyEvent callback
"""

# OnControlKeyEvent controlKey types
kKeyAction=0
kKeyActionMouse=1
kKeyJump=2
kKeyMoveForward=3
kKeyMoveBackward=4
kKeyStrafeLeft=5
kKeyStrafeRight=6
kKeyMoveUp=7
kKeyMoveDown=8
kKeyRotateLeft=9
kKeyRotateRight=10
kKeyRotateUp=11
kKeyRotateDown=12
kKeyModFast=13
kKeyAlwaysRun=14
kKeyEquip=15
kKeyDrop=16
kKeyTurnTo=17
kKeyDriveMode=18
kKeyCamMoveForward=19
kKeyCamMoveBackward=20
kKeyCamMoveUp=21
kKeyCamMoveDown=22
kKeyCamMoveLeft=23
kKeyCamMoveRight=24
kKeyCamPanUp=25
kKeyCamPanDown=26
kKeyCamPanLeft=27
kKeyCamPanRight=28
kKeyCamMoveFast=29
kKeyCamRotateRight=30
kKeyCamRotateLeft=31
kKeyCamRotateUp=32
kKeyCamRotateDown=33
kKeyCamRecenter=34
kKeyCamSpeedUp=35
kKeyCamSpeedDown=36
kKeyCamZoomIn=37
kKeyCamZoomOut=38
kKeyCamConsoleMode=39
kKeyConsoleCommand=40
kKeyTogglePhysical=41
kKeyPick=42
# axis controls
kKeyMove=43
kKeyTurn=44
kKeyMouseX=45
kKeyMouseY=46
# special controls
kKeySetCursorUp=47
kKeySetCursorDown=48
kKeySetCursorRight=49
kKeySetCursorLeft=50
kKeySetCursorPoised=51
kKeySetCursorHidden=52
kKeySetCursorUnhidden=53
kKeySetCursorArrow=54
kKeySearchForPickable=55
kKeyIncreaseMicVol=56
kKeyDecreaseMicVol=57
kKeyPushToTalk=58
kKeySetThirdPersonMode=59
kKeySetFirstPersonMode=60
kKeySetWalkMode=61
kKeySetFreeLook=62
kKeySetConsoleSingle=63
kKeySetConsoleHidden=64
# Inventory controls
dead__kKeySetEquipedState=65
dead__kKeyScrollUpList=66
dead__kKeyScrollDownList=67
dead__kKeySetInventoryActive=68
dead__kKeySetInventoryDisActive=69
dead__kKeyRemoveInventoryObject=70
dead__kKeyEnableObject=71
# Avatar emote controls
kKeyEmote=72
kKeyExitMode=73
